<%
'*******************************************************************
'* Program : Power-Stats | www.power-stats.com
'* Version : 1.0
'* Authors : Ricardo Lerch, Rodrigo Alhadeff  |  authors@power-stats.com
'* Date    : March-2004
'* Details : Main header
'*           
'*******************************************************************
%>


<html>
<head>
<title>
<%=pMetaTitle%>
</title>

<meta NAME="Description" CONTENT="
<%=pMetaDescription%>
">


<meta NAME="Keywords" CONTENT="
<%=pMetaKeywords%>
">


<meta NAME="robots" CONTENT="index, follow"> 


<link href="style.css" rel="stylesheet" type="text/css">
</head>

<body>
<center>
<table id="tableMain" cellspacing="0" cellpadding="0">
  <tr>
    <td id="tdHeader" colspan="2">

		<table width="100%" border="0" cellspacing="0" cellpadding="0">
		  <tr>
		    <td width="100%"><img border="0" src="../images/1x45.jpg"></td>
		  </tr>
		  <tr>
		    <td width="100%"><br>
			<%if not Session("admin")=0 then%>
		      <table id="tableContextMenu" width="100%">
		        <tr>
		          <td id="tdContextMenuLink" width="17%"><a href="power-stats-menu.asp">Home</a></td>
		          <td id="tdContextMenuLink" width="17%"><a href="power-stats-settingsModifyForm.asp">Settings</a></td>
		          <td id="tdContextMenuLink" width="17%"><a href="power-stats-getCode.asp">Get Code</a></td>          
		          <td id="tdContextMenuLink" width="17%"><img border="0" src="../images/na.gif" alt="Not Available in Demo Version"><a href="power-stats-filter-settingsForm.asp" title="Set up filtering information">Filter Information</a></td>
		          <td id="tdContextMenuLink" width="17%"><a href="power-stats-deleteLogForm.asp" title="Delete from Logs By IP Referrer and URL">Delete from Logs</a></td>
		          <td id="tdContextMenuLink" width="17%"><a href="power-stats-logoff.asp">Logoff</a></td>
		        </tr>
		      </table>
		    <%end if%>  
		    </td>
		  </tr>
		</table>

    </td>
  </tr>
  <tr>
    <td id="tdVertMenu" valign="top">
<img border="0" src="../images/150.gif"><br>

	<%if not Session("admin")=0 then%>
	<center>
	<table id="tableContextMenu" width="95%">
	
	<tr><td id="tdContextMenuTitle">Traffic</td></tr>
	<tr><td id="tdContextMenuLink"><a href="power-stats-report-raw.asp"><p align="left">Last 200 Views RAW</p></a></td></tr>
	<tr><td id="tdContextMenuLink"><a href="power-stats-report-views.asp" title="Page Views Report"><p align="left">Page Views</p></a></td></tr>
	<tr><td id="tdContextMenuLink"><a href="power-stats-report-visits.asp" title="Unique Visits Report"><p align="left"><img border="0" src="../images/na.gif" alt="Not Available in Demo Version">Unique Visits</p></a></td></tr>
	<tr><td id="tdContextMenuLink"><a href="power-stats-report-viewsandvisits.asp" title="Page Views combined with Unique Visits Report"><p align="left"><img border="0" src="../images/na.gif" alt="Not Available in Demo Version">Views and Visits</p></a></td></tr>
	<tr><td id="tdContextMenuLink"><a href="power-stats-report-mostrequestedpages.asp" title="Most Requested Pages Report"><p align="left">Requested Pages</p></a></td></tr>
	<tr><td id="tdContextMenuLink"><a href="power-stats-report-entrypages.asp" title="Entry Pages Report"><p align="left"><img border="0" src="../images/na.gif" alt="Not Available in Demo Version">Entry Pages</p></a></td></tr>
	
	<tr><td id="tdContextMenuTitle">Marketing</td></tr>
	<tr><td id="tdContextMenuLink"><a href="power-stats-report-searchengines.asp" title="Search Engines Report"><p align="left"><img border="0" src="../images/r.gif" alt="Restricted use in Demo Version">Search Engines</p></a></td></tr>
	<tr><td id="tdContextMenuLink"><a href="power-stats-report-searchkeywords.asp" title="Search Keywords Report"><p align="left"><img border="0" src="../images/r.gif" alt="Restricted use in Demo Version">Search Keywords</p></a></td></tr>
	<tr><td id="tdContextMenuLink"><a href="power-stats-report-referrers.asp" title="Top Referrers Report"><p align="left">Top Referrers</p></a></td></tr>
	<tr><td id="tdContextMenuLink"><a href="power-stats-report-languages.asp" title="Languages Report"><p align="left">Languages</p></a></td></tr>
	<tr><td id="tdContextMenuLink"><a href="power-stats-report-countries.asp" title="Countries Report"><p align="left">Countries</p></a></td></tr>
	
	<tr><td id="tdContextMenuTitle">Systems</td></tr>
	<tr><td id="tdContextMenuLink"><a href="power-stats-report-operativesystems.asp" title="Operative Systems Report"><p align="left">Operative Systems</p></a></td></tr>
	<tr><td id="tdContextMenuLink"><a href="power-stats-report-screenresolutions.asp" title="Screen Resolutions Report"><p align="left">Screen Resolutions</p></a></td></tr>
	<tr><td id="tdContextMenuLink"><a href="power-stats-report-colordepht.asp" title="Color Depht Report"><p align="left">Color Depht</p></a></td></tr>
	<tr><td id="tdContextMenuLink"><a href="power-stats-report-browsers.asp" title="Browsers Report"><p align="left">Browsers</p></a></td></tr>
	
	<tr><td id="tdContextMenuTitle">Management</td></tr>
	<tr><td id="tdContextMenuLink"><a href="power-stats-filter-settingsForm.asp" title="Set up filtering information"><p align="left"><img border="0" src="../images/na.gif" alt="Not Available in Demo Version">Filter Information</p></a></td></tr>
	<tr><td id="tdContextMenuLink"><a href="power-stats-settingsModifyForm.asp" title="Software Settings"><p align="left">Settings</p></a></td></tr>
	<tr><td id="tdContextMenuLink"><a href="power-stats-getCode.asp" title="Get code to track pages"><p align="left">Get Code</p></a></td></tr>
	<tr><td id="tdContextMenuLink">
		<table width="100%" border="0" cellspacing="0" cellpadding="0">
		  <tr>
		    <td width="100%"><img border="0" src="../images/na.gif" alt="Not Available in Demo Version"><b>Admins</b></td>
		    <td><a href="power-stats-addAdminForm.asp">Add</a></td>
		    <td>&nbsp;|&nbsp;<a href="power-stats-listAdmins.asp">Edit</a></td>
		  </tr>
		</table></td></tr>
	<tr><td id="tdContextMenuLink">
		<table width="100%" border="0" cellspacing="0" cellpadding="0">
		  <tr>
		    <td width="100%"><img border="0" src="../images/r.gif" alt="Restricted use in Demo Version"><b>Sites</b></td>
		    <td><a href="power-stats-addSiteForm.asp">Add</a></td>
		    <td>&nbsp;|&nbsp;<a href="power-stats-listSites.asp">Edit</a></td>
		  </tr>
		</table></td></tr>	
	<tr><td id="tdContextMenuLink"><a href="power-stats-changePasswordForm.asp" title="Change Password"><p align="left">Change Password</p></a></td></tr>
	<tr><td id="tdContextMenuLink"><a href="power-stats-deleteLogForm.asp" title="Delete from Logs By IP Referrer and URL"><p align="left">Delete from Logs</p></a></td></tr>
	<tr><td id="tdContextMenuLink"><a href="http://www.power-stats.com/support" title="Go to Power-Stats support site" target="_blank"><p align="left">Support</p></a></td></tr>
	<tr><td id="tdContextMenuLink"><a href="power-stats-logoff.asp" title="Logoff"><p align="left">Logoff</p></a></td></tr>
	
	
	</table>
	</center>
		
	<%end if%>

    </td>
    <td id="tdMainContent" valign="top">
    
    
<br><br>    
<center>
<script type="text/javascript"><!--
google_ad_client = "pub-0022811564318104";
google_ad_width = 728;
google_ad_height = 90;
google_ad_format = "728x90_as";
google_ad_channel ="1807776738";
google_color_border = "0099FF";
google_color_bg = "FFFFFF";
google_color_link = "0000FF";
google_color_url = "FF0033";
google_color_text = "000000";
//--></script>
<script type="text/javascript"
  src="http://pagead2.googlesyndication.com/pagead/show_ads.js">
</script>
</center>
<br><br>