<%
'*******************************************************************
'* Program : Power-Stats | www.power-stats.com
'* Version : 1.0
'* Authors : Ricardo Lerch, Rodrigo Alhadeff  |  authors@power-stats.com
'* Date    : March-2004
'* Details : miscellaneous functions
'*******************************************************************
%>
<%

' randomNumber function, generates a number between 1 and limit
function randomNumber(limit)
 randomize
 randomNumber=int(rnd*limit)+1
end function

' min value
function min(byval value1, byval value2)
 if value1>value2 then
    min = value2
 else
    min = value1
 end if
end function


function saveCookie()
 response.cookies("test")="-1"
end function

function readCookie() 
 if request.cookies("test")<>"-1" then 
  readCookie=0
 else
  readCookie=-1  
 end if
end function

function writeLog(line, file)
 set FSO 	= Server.CreateObject("scripting.FileSystemObject") 
 set myFile    = fso.OpenTextFile(file, 8, true) 
 myFile.WriteLine(line) 
 myFile.Close 
end function

function getCountry(ip)
 
 dim myIp, ipNumber, rstemp5
 
 myIP	  =split(ip,".") 
 ipNumber =(myIp(0)*16777216)+(myIP(1)*65536)+(myIP(2)*256)+(myIP(3))
 
 mySql="SELECT * FROM countries WHERE IP_FROM<=" & IPnumber & " AND IP_TO>=" & IPnumber & ";"
 
 call getFromDatabase(mySQL, rstemp5, "") 

 if rstemp5.eof then
  getCountry= "Unknown"
 else
  getCountry= rstemp5("COUNTRY_NAME")
 end if
 
end function

function getCountryByCode(countrycode)
	select case ucase(countrycode)
		case "US" getCountryByCode="United States"
		case "UK" getCountryByCode="United Kingdom"
		case "AD" getCountryByCode="Andorra"
		case "AE" getCountryByCode="United Arab Emirates"
		case "AF" getCountryByCode="Afghanistan"
		case "AG" getCountryByCode="Antigua and Barbuda"
		case "AI" getCountryByCode="Anguilla"
		case "AL" getCountryByCode="Albania"
		case "AM" getCountryByCode="Armenia"
		case "AN" getCountryByCode="Netherlands Antilles"
		case "AO" getCountryByCode="Angola"
		case "AQ" getCountryByCode="Antarctica"
		case "AR" getCountryByCode="Argentina"
		case "AS" getCountryByCode="American Samoa"
		case "AT" getCountryByCode="Austria"
		case "AU" getCountryByCode="Australia"
		case "AV" getCountryByCode="Anguila"
		case "AW" getCountryByCode="Aruba"
		case "AZ" getCountryByCode="Azerbaijan"
		case "BA" getCountryByCode="Bosnia and Herzegovina"
		case "BB" getCountryByCode="Barbados"
		case "BD" getCountryByCode="Bangladesh"
		case "BE" getCountryByCode="Belgium"
		case "BF" getCountryByCode="Burkina Faso"
		case "BG" getCountryByCode="Bulgaria"
		case "BH" getCountryByCode="Bahrain"
		case "BI" getCountryByCode="Burundi"
		case "BJ" getCountryByCode="Benin"
		case "BM" getCountryByCode="Bermuda"
		case "BN" getCountryByCode="Brunei Darussalam"
		case "BO" getCountryByCode="Bolivia"
		case "BR" getCountryByCode="Brazil"
		case "BS" getCountryByCode="Bahamas"
		case "BT" getCountryByCode="Bhutan"
		case "BV" getCountryByCode="Bouvet Island"
		case "BW" getCountryByCode="Botswana"
		case "BY" getCountryByCode="Belarus"
		case "BZ" getCountryByCode="Belize"
		case "CA" getCountryByCode="Canada"
		case "CC" getCountryByCode="Cocos (Keeling) Islands"
		case "CD" getCountryByCode="Congo, Democratic Republic"
		case "CF" getCountryByCode="Central African Republic"
		case "CG" getCountryByCode="Congo"
		case "CH" getCountryByCode="Switzerland"
		case "CI" getCountryByCode="Cote D'Ivoire (Ivory Coast)"
		case "CK" getCountryByCode="Cook Islands"
		case "CL" getCountryByCode="Chile"
		case "CM" getCountryByCode="Cameroon"
		case "CN" getCountryByCode="China"
		case "CO" getCountryByCode="Colombia"
		case "CR" getCountryByCode="Costa Rica"
		case "CS" getCountryByCode="Czechoslovakia (former)"
		case "CU" getCountryByCode="Cuba"
		case "CV" getCountryByCode="Cape Verde"
		case "CX" getCountryByCode="Christmas Island"
		case "CY" getCountryByCode="Cyprus"
		case "CZ" getCountryByCode="Czech Republic"
		case "DE" getCountryByCode="Germany"
		case "DJ" getCountryByCode="Djibouti"
		case "DA" getCountryByCode="Danish (Denmark)"
		case "DK" getCountryByCode="Denmark"
		case "DM" getCountryByCode="Dominica"
		case "DO" getCountryByCode="Dominican Republic"
		case "DZ" getCountryByCode="Algeria"
		case "EC" getCountryByCode="Ecuador"
		case "EE" getCountryByCode="Estonia"
		case "EG" getCountryByCode="Egypt"
		case "EH" getCountryByCode="Western Sahara"
		case "EL" getCountryByCode="Greece"
		case "ER" getCountryByCode="Eritrea"
		case "ES" getCountryByCode="Spain"
		case "ET" getCountryByCode="Ethiopia"
		case "FI" getCountryByCode="Finland"
		case "FJ" getCountryByCode="Fiji"
		case "FK" getCountryByCode="Falkland Islands (Malvinas)"
		case "FM" getCountryByCode="Micronesia"
		case "FO" getCountryByCode="Faroe Islands"
		case "FR" getCountryByCode="France"
		case "FX" getCountryByCode="France, Metropolitan"
		case "GA" getCountryByCode="Gabon"
		case "GB" getCountryByCode="Great Britain (UK)"
		case "GD" getCountryByCode="Grenada"
		case "GE" getCountryByCode="Georgia"
		case "GF" getCountryByCode="French Guiana"
		case "GH" getCountryByCode="Ghana"
		case "GI" getCountryByCode="Gibraltar"
		case "GL" getCountryByCode="Greenland"
		case "GM" getCountryByCode="Gambia"
		case "GN" getCountryByCode="Guinea"
		case "GP" getCountryByCode="Guadeloupe"
		case "GQ" getCountryByCode="Equatorial Guinea"
		case "GR" getCountryByCode="Greece"
		case "GS" getCountryByCode="S. Georgia and S. Sandwich Isls."
		case "GT" getCountryByCode="Guatemala"
		case "GU" getCountryByCode="Guam"
		case "GW" getCountryByCode="Guinea-Bissau"
		case "GY" getCountryByCode="Guyana"
		case "HE" getCountryByCode="Israel (Hebrew)"
		case "HK" getCountryByCode="Hong Kong"
		case "HM" getCountryByCode="Heard and McDonald Islands"
		case "HN" getCountryByCode="Honduras"
		case "HR" getCountryByCode="Croatia (Hrvatska)"
		case "HT" getCountryByCode="Haiti"
		case "HU" getCountryByCode="Hungary"
		case "ID" getCountryByCode="Indonesia"
		case "IE" getCountryByCode="Ireland"
		case "IL" getCountryByCode="Israel"
		case "IN" getCountryByCode="India"
		case "IO" getCountryByCode="British Indian Ocean Territory"
		case "IQ" getCountryByCode="Iraq"
		case "IR" getCountryByCode="Iran"
		case "IS" getCountryByCode="Iceland"
		case "IT" getCountryByCode="Italy"
		case "JM" getCountryByCode="Jamaica"
		case "JO" getCountryByCode="Jordan"
		case "JP" getCountryByCode="Japan"
		case "JA" getCountryByCode="Japanese"
		case "KE" getCountryByCode="Kenya"
		case "KG" getCountryByCode="Kyrgyzstan"
		case "KH" getCountryByCode="Cambodia"
		case "KI" getCountryByCode="Kiribati"
		case "KM" getCountryByCode="Comoros"
		case "KN" getCountryByCode="Saint Kitts and Nevis"
		case "KO" getCountryByCode="Korea"
		case "KP" getCountryByCode="Korea (North)"
		case "KR" getCountryByCode="Korea (South)"
		case "KW" getCountryByCode="Kuwait"
		case "KY" getCountryByCode="Cayman Islands"
		case "KZ" getCountryByCode="Kazakhstan"
		case "LA" getCountryByCode="Laos"
		case "LB" getCountryByCode="Lebanon"
		case "LC" getCountryByCode="Saint Lucia"
		case "LI" getCountryByCode="Liechtenstein"
		case "LK" getCountryByCode="Sri Lanka"
		case "LR" getCountryByCode="Liberia"
		case "LS" getCountryByCode="Lesotho"
		case "LT" getCountryByCode="Lithuania"
		case "LU" getCountryByCode="Luxembourg"
		case "LV" getCountryByCode="Latvia"
		case "LY" getCountryByCode="Libya"
		case "MA" getCountryByCode="Morocco"
		case "MC" getCountryByCode="Monaco"
		case "MD" getCountryByCode="Moldova"
		case "MG" getCountryByCode="Madagascar"
		case "MH" getCountryByCode="Marshall Islands"
		case "MK" getCountryByCode="F.Y.R.O.M. (Macedonia)"
		case "ML" getCountryByCode="Mali"
		case "MM" getCountryByCode="Myanmar"
		case "MN" getCountryByCode="Mongolia"
		case "MO" getCountryByCode="Macau"
		case "MP" getCountryByCode="Northern Mariana Islands"
		case "MQ" getCountryByCode="Martinique"
		case "MR" getCountryByCode="Mauritania"
		case "MS" getCountryByCode="Montserrat"
		case "MT" getCountryByCode="Malta"
		case "MU" getCountryByCode="Mauritius"
		case "MV" getCountryByCode="Maldives"
		case "MW" getCountryByCode="Malawi"
		case "MX" getCountryByCode="Mexico"
		case "MY" getCountryByCode="Malaysia"
		case "MZ" getCountryByCode="Mozambique"
		case "NA" getCountryByCode="Namibia"
		case "NC" getCountryByCode="New Caledonia"
		case "NE" getCountryByCode="Niger"
		case "NF" getCountryByCode="Norfolk Island"
		case "NG" getCountryByCode="Nigeria"
		case "NI" getCountryByCode="Nicaragua"
		case "NL" getCountryByCode="Netherlands"
		case "NO" getCountryByCode="Norway"
		case "NP" getCountryByCode="Nepal"
		case "NR" getCountryByCode="Nauru"
		case "NT" getCountryByCode="Neutral Zone"
		case "NU" getCountryByCode="Niue"
		case "NZ" getCountryByCode="New Zealand (Aotearoa)"
		case "OM" getCountryByCode="Oman"
		case "PA" getCountryByCode="Panama"
		case "PE" getCountryByCode="Peru"
		case "PF" getCountryByCode="French Polynesia"
		case "PG" getCountryByCode="Papua New Guinea"
		case "PH" getCountryByCode="Philippines"
		case "PK" getCountryByCode="Pakistan"
		case "PL" getCountryByCode="Poland"
		case "PM" getCountryByCode="St. Pierre and Miquelon"
		case "PN" getCountryByCode="Pitcairn"
		case "PR" getCountryByCode="Puerto Rico"
		case "PT" getCountryByCode="Portugal"
		case "PW" getCountryByCode="Palau"
		case "PY" getCountryByCode="Paraguay"
		case "QA" getCountryByCode="Qatar"
		case "RE" getCountryByCode="Reunion"
		case "RO" getCountryByCode="Romania"
		case "RU" getCountryByCode="Russian Federation"
		case "RW" getCountryByCode="Rwanda"
		case "SA" getCountryByCode="Saudi Arabia"
		case "SB" getCountryByCode="Solomon Islands"
		case "SC" getCountryByCode="Seychelles"
		case "SD" getCountryByCode="Sudan"
		case "SE" getCountryByCode="Sweden"
		case "SG" getCountryByCode="Singapore"
		case "SH" getCountryByCode="St. Helena"
		case "SI" getCountryByCode="Slovenia"
		case "SJ" getCountryByCode="Svalbard Jan Mayen Islands"
		case "SK" getCountryByCode="Slovak Republic"
		case "SL" getCountryByCode="Sierra Leone"
		case "SM" getCountryByCode="San Marino"
		case "SN" getCountryByCode="Senegal"
		case "SO" getCountryByCode="Somalia"
		case "SR" getCountryByCode="Suriname"
		case "ST" getCountryByCode="Sao Tome and Principe"
		case "SU" getCountryByCode="USSR (former)"
		case "SV" getCountryByCode="El Salvador"
		case "SY" getCountryByCode="Syria"
		case "SZ" getCountryByCode="Swaziland"
		case "TA" getCountryByCode="Tamil"
		case "TC" getCountryByCode="Turks and Caicos Islands"
		case "TD" getCountryByCode="Chad"
		case "TF" getCountryByCode="French Southern Territories"
		case "TG" getCountryByCode="Togo"
		case "TH" getCountryByCode="Thailand"
		case "TJ" getCountryByCode="Tajikistan"
		case "TK" getCountryByCode="Tokelau"
		case "TM" getCountryByCode="Turkmenistan"
		case "TN" getCountryByCode="Tunisia"
		case "TO" getCountryByCode="Tonga"
		case "TP" getCountryByCode="East Timor"
		case "TR" getCountryByCode="Turkey"
		case "TT" getCountryByCode="Trinidad and Tobago"
		case "TV" getCountryByCode="Tuvalu"
		case "TW" getCountryByCode="Taiwan"
		case "TZ" getCountryByCode="Tanzania"
		case "UA" getCountryByCode="Ukraine"
		case "UG" getCountryByCode="Uganda"
		case "UM" getCountryByCode="US Minor Outlying Islands"
		case "UY" getCountryByCode="Uruguay"
		case "UZ" getCountryByCode="Uzbekistan"
		case "VA" getCountryByCode="Vatican City State (Holy See)"
		case "VC" getCountryByCode="Saint Vincent the Grenadines"
		case "VE" getCountryByCode="Venezuela"
		case "VG" getCountryByCode="Virgin Islands (British)"
		case "VI" getCountryByCode="Virgin Islands (U.S.)"
		case "VN" getCountryByCode="Viet Nam"
		case "VU" getCountryByCode="Vanuatu"
		case "WF" getCountryByCode="Wallis and Futuna Islands"
		case "WS" getCountryByCode="Samoa"
		case "YE" getCountryByCode="Yemen"
		case "YT" getCountryByCode="Mayotte"
		case "YU" getCountryByCode="Yugoslavia"
		case "ZA" getCountryByCode="South Africa"
		case "ZM" getCountryByCode="Zambia"
		case "ZW" getCountryByCode="Zimbabwe"
		case "EN" getCountryByCode="English (Unknow)"
	   	case else
   			getCountryByCode=countrycode
  end select
end function

function getLanguage(languageCode)
 select case lcase(languageCode)
	case "en" 
		getLanguage="English"
   	case "ru" 
   		getLanguage="Russian"   		   		
   	case "de"
   		getLanguage="German"
   	case "ka"
   		getLanguage="Georgian"
   	case "fr"
   		getLanguage="French"
   	case "tr"
   		getLanguage="Turkish"
   	case "nl"
   		getLanguage="Dutch"
   	case "sv"
   		getLanguage="Swedish"   		
   	case "it"
   		getLanguage="Italian"   
   	case "pl"
   		getLanguage="Polish"	
   	case "da"
   		getLanguage="Danish"	
   	case "no"
   		getLanguage="Norwegian"	
   	case "ja"
   		getLanguage="Japanese"	
   	case "es"
   		getLanguage="Spanish"   	   	
   	case "cs"
   		getLanguage="Czech"   	   	
   	case "el"
   		getLanguage="Greek"   	   	
   	case "pt"
   		getLanguage="Portuguese"	
   	case "uk"
   		getLanguage="Ukrainian"	
   	case "he"
   		getLanguage="Hebrew"	
   	case "ar"
   		getLanguage="Arabic"	
   	case "th"
   		getLanguage="Thai"	
   	case "zh"
   		getLanguage="Chinese"		
   	case "hr"
   		getLanguage="Croatian"		
    case ""
   		getLanguage="Unknown"   		
   	case else
   		getLanguage=cstr(languageCode)
  end select
end function
%>